Martin L Roth has submitted this change. ( https://review.coreboot.org/c/coreboot/+/78184?usp=email )
Change subject: util/scripts: Add a script to find new users' commits on gerrit
......................................................................
util/scripts: Add a script to find new users' commits on gerrit
This script lists all new commits from users with few merged commits.
By default, it looks at the last week, and considers anyone with fewer
than 5 commits merged to be a new user.
Currently the only command line argument that's accepted is the gerrit
username of the person running the query. To modify any of the other
options, the values hard-coded into the script need to be updated.
To keep down the number of repeated queries, the script saves lists of
users considered to be experienced, as well as the commits from new
users that it lists.
Signed-off-by: Martin Roth <gaumless(a)gmail.com>
Change-Id: Ic698798f3fddc77900c8c4e6f8427991bda3f2d1
Reviewed-on: https://review.coreboot.org/c/coreboot/+/78184
Tested-by: build bot (Jenkins) <no-reply(a)coreboot.org>
Reviewed-by: Nicholas Chin <nic.c3.14(a)gmail.com>
---
M util/scripts/description.md
A util/scripts/find_new_user_commits.sh
2 files changed, 121 insertions(+), 0 deletions(-)
Approvals:
build bot (Jenkins): Verified
Nicholas Chin: Looks good to me, approved
diff --git a/util/scripts/description.md b/util/scripts/description.md
index 780e9c9..1c67f07 100644
--- a/util/scripts/description.md
+++ b/util/scripts/description.md
@@ -7,6 +7,7 @@
various human readable formats. `Bash`
* _dts-to-fmd.sh_ -Converts a depthcharge fmap.dts into an fmaptool
compatible .fmd format `Bash`
+ * _find_new_user_commits.sh_ - Finds new gerrit committers `Bash`
* _find-unused-kconfig-symbols.sh_ - Points out Kconfig variables
that may be unused. There are
some false positives, but it
diff --git a/util/scripts/find_new_user_commits.sh b/util/scripts/find_new_user_commits.sh
new file mode 100755
index 0000000..32d79cc
--- /dev/null
+++ b/util/scripts/find_new_user_commits.sh
@@ -0,0 +1,120 @@
+#!/usr/bin/env bash
+# shellcheck disable=SC2310,SC2312
+# The above line must be directly after the shebang line.
+# Disables these warnings:
+# SC2310 - This function is invoked in an 'if' condition so set -e will be disabled.
+# Invoke separately if failures should cause the script to exit.
+# SC2312 - Consider invoking this command separately to avoid masking its return value
+
+#
+# SPDX-License-Identifier: GPL-2.0-only
+#
+
+#
+# Description:
+# Identifies new users in gerrit so that they can be greeted and marked
+# as new users.
+#
+
+VERSION="1.00"
+PROGRAM=$0
+PROGNAME="$(basename "${PROGRAM}")"
+
+COMMIT_COUNT=5 # Consider a user to be new until they have this many commits
+AGE="1week"
+#AGE="3months"
+KNOWN_AUTHOR_FILE="./authorlist.txt"
+NEW_AUTHOR_FILE="./new_authors.txt"
+GERRIT_USER="$1"
+GERRIT_REPO="review.coreboot.org"
+
+show_version() {
+ echo "${PROGNAME} version ${VERSION}"
+ echo
+}
+
+usage() {
+ echo "Usage: ${PROGNAME} <gerrit username>"
+ echo "example: ${PROGNAME} martinlroth"
+}
+
+main() {
+ local commit_count
+ local patchlist
+ local owner
+ local owner_email
+ local commit_id
+ local new_users=0
+
+ show_version
+
+ if ! jq --version >/dev/null 2>&1; then
+ echo "Error: jq is not installed. Please install it with your package manager."
+ exit 1
+ fi
+
+ if [[ -z ${GERRIT_USER} ]]; then
+ echo "Error: Please specify gerrit username on the command line." >&2
+ fi
+ if [[ -z ${GERRIT_USER} || ${GERRIT_USER} == "--help" || ${GERRIT_USER} == "-h" ]]; then
+ usage
+ exit 1
+ fi
+
+ echo "List of known users with more than 5 commits: ${KNOWN_AUTHOR_FILE}"
+ echo "List of new user's patches: ${NEW_AUTHOR_FILE}"
+ echo "Key: . = author in known user list or new user commit already seen"
+ echo " : = author getting added to known user list"
+ echo
+
+ touch "${NEW_AUTHOR_FILE}" "${KNOWN_AUTHOR_FILE}"
+
+ # Get all coreboot patches that aren't by known users, newer than the age set above
+ patchlist="$(ssh -p 29418 "${GERRIT_USER}@${GERRIT_REPO}" gerrit query --format=JSON --no-limit --current-patch-set "repo:coreboot AND status:open NOT age:${AGE} NOT ownerin:Reviewers NOT ownerin:\\\"Core Developers\\\"" |
+ jq -Mr '.currentPatchSet.uploader.name + ", " + .currentPatchSet.uploader.email + ", " + .currentPatchSet.revision + ", " + (.number | tostring)' |
+ grep -v "null\|^,");"
+
+ if [[ -z ${patchlist} ]]; then
+ echo "Error: No patches returned." >&2
+ exit 1
+ else
+ echo "$(wc -l <<<"${patchlist}") patches found."
+ fi
+
+ # Loop through all patches found, looking for any that are not by a known author.
+ # If an author with more than 5 patches is found, add them to a list to filter out in the future.
+ # If we find a new patch, print it, then add it to a list so that it isn't reported again.
+ IFS=$'\n'
+ for patch in ${patchlist}; do
+ owner="$(echo "${patch}" | cut -f1 -d',')"
+ owner_email="$(echo "${patch}" | cut -f2 -d',')"
+ commit_id="$(echo "${patch}" | cut -f4 -d',')"
+
+ if grep -qi "${owner}" "${KNOWN_AUTHOR_FILE}" || grep -qi "${owner_email}" "${KNOWN_AUTHOR_FILE}" || grep -q "${commit_id}" "${NEW_AUTHOR_FILE}"; then
+ printf "."
+ continue
+ fi
+
+ # Get the author's commit count
+ # shellcheck disable=SC2126 # (Consider using grep -c instead of grep | wc)
+ commit_count="$(ssh -p 29418 "${GERRIT_USER}@${GERRIT_REPO}" gerrit query --format=JSON "limit:6 AND repo:coreboot AND owner:${owner_email} and status:merged" |
+ jq -Mr '.owner.name + ", " + .owner.email' |
+ grep -v "null\|^," |
+ wc -l)"
+ if [[ ${commit_count} -ge ${COMMIT_COUNT} ]]; then
+ printf ":"
+ echo "${owner}, ${owner_email}" >>"${KNOWN_AUTHOR_FILE}"
+ continue
+ fi
+
+ printf "\n%s looks to be a patch by a new author.\n" "${patch}"
+ echo "${patch}" >>"${NEW_AUTHOR_FILE}"
+ new_users+=1
+ done
+ printf "\n"
+ if [[ ${new_users} -eq 0 ]]; then
+ echo "No new patches by new users found."
+ fi
+}
+
+main
--
To view, visit https://review.coreboot.org/c/coreboot/+/78184?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: Ic698798f3fddc77900c8c4e6f8427991bda3f2d1
Gerrit-Change-Number: 78184
Gerrit-PatchSet: 3
Gerrit-Owner: Martin L Roth <gaumless(a)gmail.com>
Gerrit-Reviewer: Martin L Roth <gaumless(a)gmail.com>
Gerrit-Reviewer: Nicholas Chin <nic.c3.14(a)gmail.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-MessageType: merged
Attention is currently required from: Eran Mitrani, Jakub Czapiga, Jérémy Compostella, Lance Zhao, Paul Menzel, Subrata Banik, Sukumar Ghorai, Tarun, Tim Wawrzynczak.
Martin L Roth has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/78164?usp=email )
Change subject: acpi: Configure slp-s0 residency counter frequency in LPIT table
......................................................................
Patch Set 17:
(2 comments)
File src/include/acpi/acpi.h:
https://review.coreboot.org/c/coreboot/+/78164/comment/0e113f6a_214b01f3 :
PS17, Line 457: ACPI_SOC_INTEL_SLP_S0_FREQ_HZ
> take a look into https://qa.coreboot. […]
Captured in case the build goes away before this is looked into:
```
make[2]: *** [Makefile:405: /cb-build/coreboot-gerrit.0/emu_clang_allthreads/EMULATION_QEMU_X86_Q35/romstage/device/pci_ops.o] Error 1
In file included from src/drivers/pc80/tpm/tis.c:17:
src/include/acpi/acpi.h:457:5: error: 'CONFIG_ACPI_SOC_INTEL_SLP_S0_FREQ_HZ' is not defined, evaluates to 0 [-Werror,-Wundef]
#if CONFIG_ACPI_SOC_INTEL_SLP_S0_FREQ_HZ != 0
```
File src/include/acpi/acpi.h:
https://review.coreboot.org/c/coreboot/+/78164/comment/333a24d3_5cb84f80 :
PS13, Line 457: #if CONFIG_ACPI_SOC_INTEL_SLP_S0_FREQ_HZ != 0
```
#if defined CONFIG_ACPI_SOC_INTEL_SLP_S0_FREQ_HZ && CONFIG_ACPI_SOC_INTEL_SLP_S0_FREQ_HZ != 0
```
--
To view, visit https://review.coreboot.org/c/coreboot/+/78164?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: I401dd4a09a67d81a9ea3a56cd22f1a681e2a9349
Gerrit-Change-Number: 78164
Gerrit-PatchSet: 17
Gerrit-Owner: Sukumar Ghorai <sukumar.ghorai(a)intel.com>
Gerrit-Reviewer: Eran Mitrani <mitrani(a)google.com>
Gerrit-Reviewer: Jakub Czapiga <czapiga(a)google.com>
Gerrit-Reviewer: Jérémy Compostella <jeremy.compostella(a)intel.com>
Gerrit-Reviewer: Kapil Porwal <kapilporwal(a)google.com>
Gerrit-Reviewer: Lance Zhao <lance.zhao(a)gmail.com>
Gerrit-Reviewer: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Reviewer: Subrata Banik <subratabanik(a)google.com>
Gerrit-Reviewer: Sukumar Ghorai <sukumar.ghorai(a)intel.com>
Gerrit-Reviewer: Tarun <tstuli(a)gmail.com>
Gerrit-Reviewer: Tim Wawrzynczak <inforichland(a)gmail.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Hannah Williams <hannah.williams(a)intel.com>
Gerrit-CC: Martin L Roth <gaumless(a)gmail.com>
Gerrit-Attention: Lance Zhao <lance.zhao(a)gmail.com>
Gerrit-Attention: Eran Mitrani <mitrani(a)google.com>
Gerrit-Attention: Subrata Banik <subratabanik(a)google.com>
Gerrit-Attention: Jakub Czapiga <czapiga(a)google.com>
Gerrit-Attention: Jérémy Compostella <jeremy.compostella(a)intel.com>
Gerrit-Attention: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Tim Wawrzynczak <inforichland(a)gmail.com>
Gerrit-Attention: Sukumar Ghorai <sukumar.ghorai(a)intel.com>
Gerrit-Attention: Tarun <tstuli(a)gmail.com>
Gerrit-Comment-Date: Mon, 16 Oct 2023 18:52:13 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: Subrata Banik <subratabanik(a)google.com>
Gerrit-MessageType: comment
Attention is currently required from: Felix Held, Fred Reitberger, Jason Glenesk, Jon Murphy, Karthik Ramasubramanian, Matt DeVillier, Paul Menzel, Tim Van Patten.
Martin L Roth has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/78236?usp=email )
Change subject: soc/amd/phoenix/psp_verstage: Fix hash file names for VBOOT FW Slot B
......................................................................
Patch Set 2: Code-Review+2
--
To view, visit https://review.coreboot.org/c/coreboot/+/78236?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: I89f02922bc901d8ac71d48bf5128fe6ecead43a0
Gerrit-Change-Number: 78236
Gerrit-PatchSet: 2
Gerrit-Owner: Karthik Ramasubramanian <kramasub(a)google.com>
Gerrit-Reviewer: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-Reviewer: Fred Reitberger <reitbergerfred(a)gmail.com>
Gerrit-Reviewer: Jason Glenesk <jason.glenesk(a)gmail.com>
Gerrit-Reviewer: Jon Murphy <jpmurphy(a)google.com>
Gerrit-Reviewer: Martin L Roth <gaumless(a)gmail.com>
Gerrit-Reviewer: Matt DeVillier <matt.devillier(a)amd.corp-partner.google.com>
Gerrit-Reviewer: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Reviewer: Tim Van Patten <timvp(a)google.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Attention: Jason Glenesk <jason.glenesk(a)gmail.com>
Gerrit-Attention: Matt DeVillier <matt.devillier(a)amd.corp-partner.google.com>
Gerrit-Attention: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Jon Murphy <jpmurphy(a)google.com>
Gerrit-Attention: Tim Van Patten <timvp(a)google.com>
Gerrit-Attention: Fred Reitberger <reitbergerfred(a)gmail.com>
Gerrit-Attention: Karthik Ramasubramanian <kramasub(a)google.com>
Gerrit-Attention: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-Comment-Date: Mon, 16 Oct 2023 18:48:15 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment
Attention is currently required from: Felix Held, Fred Reitberger, Jason Glenesk, Karthik Ramasubramanian, Matt DeVillier.
Martin L Roth has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/78234?usp=email )
Change subject: soc/amd/phoenix: Disable CCP DMA in PSP Verstage
......................................................................
Patch Set 2: Code-Review+2
--
To view, visit https://review.coreboot.org/c/coreboot/+/78234?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: I22ac108b08abcfe432dfd175644393e384888e11
Gerrit-Change-Number: 78234
Gerrit-PatchSet: 2
Gerrit-Owner: Karthik Ramasubramanian <kramasub(a)google.com>
Gerrit-Reviewer: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-Reviewer: Fred Reitberger <reitbergerfred(a)gmail.com>
Gerrit-Reviewer: Jason Glenesk <jason.glenesk(a)gmail.com>
Gerrit-Reviewer: Martin L Roth <gaumless(a)gmail.com>
Gerrit-Reviewer: Matt DeVillier <matt.devillier(a)amd.corp-partner.google.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Attention: Jason Glenesk <jason.glenesk(a)gmail.com>
Gerrit-Attention: Matt DeVillier <matt.devillier(a)amd.corp-partner.google.com>
Gerrit-Attention: Fred Reitberger <reitbergerfred(a)gmail.com>
Gerrit-Attention: Karthik Ramasubramanian <kramasub(a)google.com>
Gerrit-Attention: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-Comment-Date: Mon, 16 Oct 2023 18:47:42 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment
Attention is currently required from: Felix Held, Fred Reitberger, Jason Glenesk, Jon Murphy, Karthik Ramasubramanian, Matt DeVillier.
Martin L Roth has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/78233?usp=email )
Change subject: soc/amd/phoenix: Add build rules to enable CBFS verification
......................................................................
Patch Set 2:
(2 comments)
File src/soc/amd/phoenix/Makefile.inc:
https://review.coreboot.org/c/coreboot/+/78233/comment/01287176_150e7975 :
PS2, Line 49: # 0x80 accounts for the cbfs_file struct + filename + metadata structs, aligned to 64 bytes
: # Building the cbfs image will fail if the offset isn't large enough
: AMD_FW_AB_POSITION := 0x80
Should we change this for all platforms AMD by checking if cbfs verification is enabled?
https://review.coreboot.org/c/coreboot/+/78233/comment/42cd130a_b51920f4 :
PS2, Line 346:
Do we need to add the key signature block as well, or is that already done by default?
--
To view, visit https://review.coreboot.org/c/coreboot/+/78233?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: Ibfffd3d6fce8b80ec156a7b13b387e1df8c43347
Gerrit-Change-Number: 78233
Gerrit-PatchSet: 2
Gerrit-Owner: Karthik Ramasubramanian <kramasub(a)google.com>
Gerrit-Reviewer: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-Reviewer: Fred Reitberger <reitbergerfred(a)gmail.com>
Gerrit-Reviewer: Jason Glenesk <jason.glenesk(a)gmail.com>
Gerrit-Reviewer: Jon Murphy <jpmurphy(a)google.com>
Gerrit-Reviewer: Matt DeVillier <matt.devillier(a)amd.corp-partner.google.com>
Gerrit-Reviewer: Tim Van Patten <timvp(a)google.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-CC: Martin L Roth <gaumless(a)gmail.com>
Gerrit-Attention: Jason Glenesk <jason.glenesk(a)gmail.com>
Gerrit-Attention: Matt DeVillier <matt.devillier(a)amd.corp-partner.google.com>
Gerrit-Attention: Jon Murphy <jpmurphy(a)google.com>
Gerrit-Attention: Fred Reitberger <reitbergerfred(a)gmail.com>
Gerrit-Attention: Karthik Ramasubramanian <kramasub(a)google.com>
Gerrit-Attention: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-Comment-Date: Mon, 16 Oct 2023 18:46:29 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
Attention is currently required from: Paul Menzel, Richard Marko.
Martin L Roth has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/78415?usp=email )
Change subject: util/kconfig: chmod +w before savedefconfig
......................................................................
Patch Set 2:
(2 comments)
Patchset:
PS2:
Hi Richard, It looks like you haven't contributed to the coreboot project before.
Welcome, and thank you for the patch. We hope that this is just the first of many.
Please let us know if there's anything we can do to help get your first sets patches merged as you get used to the contribution process.
The coreboot project has a hands-off policy regarding other people's patches so nobody here is going to update the contents without your permission. If you would you like someone to take over your patches at any point, please just post a comment to that effect on the specific patch.
You might find the coding style guide and the gerrit guidelines useful to read.
https://doc.coreboot.org/contributing/coding_style.htmlhttps://doc.coreboot.org/contributing/gerrit_guidelines.html
If you want to talk with anyone, you can talk to developers on one of the many options we have:
https://doc.coreboot.org/community/forums.html
Again, please let us know if you have any questions, or if there's anything we can do to help.
Martin
File util/kconfig/Makefile.inc:
https://review.coreboot.org/c/coreboot/+/78415/comment/3acb01a4_ffc81b08 :
PS2, Line 37: chmod +w $(DEFCONFIG)
Could you add a comment above the target name 'savedefconfig:' saying why this was added, then add a "quilt compatible" .patch file with this change to the util/kconfig/patches directory so that your change doesn't get lost the next time we update to a new version of Kconfig?
Basically, we store all of our updates as .patch files so that we can just pull a new Kconfig version from kernel.org, then apply the patches on top of the new version.
You can look at the history of the kconfig/patches directory for hints.
Thanks for the patch.
--
To view, visit https://review.coreboot.org/c/coreboot/+/78415?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: I2e7d35c9f6e8add3e7438d163850bc5fda5a99b2
Gerrit-Change-Number: 78415
Gerrit-PatchSet: 2
Gerrit-Owner: Richard Marko <srk(a)48.io>
Gerrit-Reviewer: Martin L Roth <gaumless(a)gmail.com>
Gerrit-Reviewer: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Attention: Paul Menzel <paulepanter(a)mailbox.org>
Gerrit-Attention: Richard Marko <srk(a)48.io>
Gerrit-Comment-Date: Mon, 16 Oct 2023 18:39:38 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
Attention is currently required from: Angel Pons, Arthur Heymans, Boris Mittelberg, Caveh Jalali, Christian Walter, Eran Mitrani, Felix Held, Fred Reitberger, Jason Glenesk, Jason Nien, Jeff Daly, Johnny Lin, Kapil Porwal, Lance Zhao, Martin L Roth, Martin Roth, Michał Żygowski, Nick Vaccaro, Piotr Król, Sean Rhodes, Subrata Banik, Tarun, Tim Chu, Tim Wawrzynczak, Vanessa Eusebio, Werner Zeh.
Matt DeVillier has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/78330?usp=email )
Change subject: device/device.h: Rename busses for clarity
......................................................................
Patch Set 4: Code-Review+1
--
To view, visit https://review.coreboot.org/c/coreboot/+/78330?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: I80a81b6b8606e450ff180add9439481ec28c2420
Gerrit-Change-Number: 78330
Gerrit-PatchSet: 4
Gerrit-Owner: Arthur Heymans <arthur(a)aheymans.xyz>
Gerrit-Reviewer: Angel Pons <th3fanbus(a)gmail.com>
Gerrit-Reviewer: Boris Mittelberg <bmbm(a)google.com>
Gerrit-Reviewer: Caveh Jalali <caveh(a)chromium.org>
Gerrit-Reviewer: Christian Walter <christian.walter(a)9elements.com>
Gerrit-Reviewer: Eran Mitrani <mitrani(a)google.com>
Gerrit-Reviewer: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-Reviewer: Fred Reitberger <reitbergerfred(a)gmail.com>
Gerrit-Reviewer: Jason Glenesk <jason.glenesk(a)gmail.com>
Gerrit-Reviewer: Jason Nien <jason.nien(a)amd.corp-partner.google.com>
Gerrit-Reviewer: Jeff Daly <jeffd(a)silicom-usa.com>
Gerrit-Reviewer: Johnny Lin <Johnny_Lin(a)wiwynn.com>
Gerrit-Reviewer: Kapil Porwal <kapilporwal(a)google.com>
Gerrit-Reviewer: Lance Zhao <lance.zhao(a)gmail.com>
Gerrit-Reviewer: Martin L Roth <gaumless(a)gmail.com>
Gerrit-Reviewer: Martin Roth <martin.roth(a)amd.corp-partner.google.com>
Gerrit-Reviewer: Matt DeVillier <matt.devillier(a)amd.corp-partner.google.com>
Gerrit-Reviewer: Michał Żygowski <michal.zygowski(a)3mdeb.com>
Gerrit-Reviewer: Nick Vaccaro <nvaccaro(a)chromium.org>
Gerrit-Reviewer: Piotr Król <piotr.krol(a)3mdeb.com>
Gerrit-Reviewer: Sean Rhodes <sean(a)starlabs.systems>
Gerrit-Reviewer: Subrata Banik <subratabanik(a)google.com>
Gerrit-Reviewer: Tarun <tstuli(a)gmail.com>
Gerrit-Reviewer: Tim Chu <Tim.Chu(a)quantatw.com>
Gerrit-Reviewer: Tim Wawrzynczak <inforichland(a)gmail.com>
Gerrit-Reviewer: Vanessa Eusebio <vanessa.f.eusebio(a)intel.com>
Gerrit-Reviewer: Werner Zeh <werner.zeh(a)siemens.com>
Gerrit-Reviewer: build bot (Jenkins) <no-reply(a)coreboot.org>
Gerrit-Attention: Eran Mitrani <mitrani(a)google.com>
Gerrit-Attention: Nick Vaccaro <nvaccaro(a)chromium.org>
Gerrit-Attention: Arthur Heymans <arthur(a)aheymans.xyz>
Gerrit-Attention: Piotr Król <piotr.krol(a)3mdeb.com>
Gerrit-Attention: Sean Rhodes <sean(a)starlabs.systems>
Gerrit-Attention: Michał Żygowski <michal.zygowski(a)3mdeb.com>
Gerrit-Attention: Subrata Banik <subratabanik(a)google.com>
Gerrit-Attention: Caveh Jalali <caveh(a)chromium.org>
Gerrit-Attention: Johnny Lin <Johnny_Lin(a)wiwynn.com>
Gerrit-Attention: Christian Walter <christian.walter(a)9elements.com>
Gerrit-Attention: Fred Reitberger <reitbergerfred(a)gmail.com>
Gerrit-Attention: Werner Zeh <werner.zeh(a)siemens.com>
Gerrit-Attention: Felix Held <felix-coreboot(a)felixheld.de>
Gerrit-Attention: Tim Chu <Tim.Chu(a)quantatw.com>
Gerrit-Attention: Jeff Daly <jeffd(a)silicom-usa.com>
Gerrit-Attention: Jason Nien <jason.nien(a)amd.corp-partner.google.com>
Gerrit-Attention: Angel Pons <th3fanbus(a)gmail.com>
Gerrit-Attention: Martin Roth <martin.roth(a)amd.corp-partner.google.com>
Gerrit-Attention: Tarun <tstuli(a)gmail.com>
Gerrit-Attention: Lance Zhao <lance.zhao(a)gmail.com>
Gerrit-Attention: Jason Glenesk <jason.glenesk(a)gmail.com>
Gerrit-Attention: Martin L Roth <gaumless(a)gmail.com>
Gerrit-Attention: Kapil Porwal <kapilporwal(a)google.com>
Gerrit-Attention: Tim Wawrzynczak <inforichland(a)gmail.com>
Gerrit-Attention: Vanessa Eusebio <vanessa.f.eusebio(a)intel.com>
Gerrit-Attention: Boris Mittelberg <bmbm(a)google.com>
Gerrit-Comment-Date: Mon, 16 Oct 2023 18:14:33 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment
Attention is currently required from: CoolStar, Jason Nien, Martin Roth, Martin Roth.
Matt DeVillier has posted comments on this change. ( https://review.coreboot.org/c/coreboot/+/78418?usp=email )
Change subject: mb/google/kahlee: Hide Linux machine audio devices from Windows
......................................................................
Patch Set 1: Code-Review+2
--
To view, visit https://review.coreboot.org/c/coreboot/+/78418?usp=email
To unsubscribe, or for help writing mail filters, visit https://review.coreboot.org/settings
Gerrit-Project: coreboot
Gerrit-Branch: main
Gerrit-Change-Id: Ic85eff7f7ff68e25cc005bbb822bf99374c96532
Gerrit-Change-Number: 78418
Gerrit-PatchSet: 1
Gerrit-Owner: CoolStar <coolstarorganization(a)gmail.com>
Gerrit-Reviewer: Jason Nien <jason.nien(a)amd.corp-partner.google.com>
Gerrit-Reviewer: Martin Roth <martin.roth(a)amd.corp-partner.google.com>
Gerrit-Reviewer: Martin Roth <martinroth(a)google.com>
Gerrit-Reviewer: Matt DeVillier <matt.devillier(a)gmail.com>
Gerrit-Attention: Martin Roth <martinroth(a)google.com>
Gerrit-Attention: Jason Nien <jason.nien(a)amd.corp-partner.google.com>
Gerrit-Attention: CoolStar <coolstarorganization(a)gmail.com>
Gerrit-Attention: Martin Roth <martin.roth(a)amd.corp-partner.google.com>
Gerrit-Comment-Date: Mon, 16 Oct 2023 17:57:04 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment